> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

## Interface Description

Create a user\
<Note>For card products that do not require KYC verification, users must be created before creating cards.\
**merchantUserId** is the merchant's own user ID, which must be globally unique.</Note>


## OpenAPI

````yaml en POST /user/create
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /user/create:
    post:
      tags: []
      summary: 创建用户
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultCreateUserResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  powerCardUserId: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    CreateUserRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户对应用户id
        channel:
          type: string
          description: 开卡渠道
        email:
          type: string
          description: 电子邮箱
          format: email
        mobileNumber:
          type: string
          description: 手机号码
        mobilePrefix:
          type: string
          description: 手机号国家码
      required:
        - merchantId
        - merchantUserId
        - channel
    CommonResultCreateUserResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/CreateUserResponse'
          description: 结果数据
    CreateUserResponse:
      type: object
      properties:
        powerCardUserId:
          type: string
          description: powerCard 用户id

````